---
Name: "security/debug-block"
Description: "Blocks rs-debug-enable from being turned on."
Documentation: |
  Since rs-debug-enable may expose sensitive information,
  setting ANY value in this Param will block places where
  rs-debug-enable can be set in common libraries.

  If true, it will

    1. set RS_DEBUG_ENABLE=false in setup.tmpl
    2. attempt to set rs-debug-enable:false on the machine if it was set true

  If false, it will not set RS_DEBUG_ENABLE at all or change machine values

  Design note: use of this variable is exists or not exists
  because we do not want potential users to be able to override
  a true value with a false value anywhere in the resolution chain.
Schema:
  type: "boolean"
Meta:
  type: "security"
  icon: "spy"
  color: "green"
  title: "Digital Rebar Community Content"
